Subject: Re: linux-next: mfd tree build failure

From: ian <[email-masked]>
Date: Tue, 05 Aug 2008 14:03:14 +0100

On Tue, 2008-08-05 at 15:09 +1000, Stephen Rothwell wrote:
> 
> I reverted commit 4d6da2de1b09228989efb67a1f9e6d2ced075540 ("mfd:
> driver for the TMIO NAND controller") until it has tighter controls in
> its Kconfig patch. i.e. I have no idea what arches this should be
> built on.

Since there is no way to know wether an arch has readsw() and friends at
config time, I'd propose that bot the TMIO NAND and MMC drivers be built
only on ARM for now. If anyone every uses them on another platform, they
can add the support.

Should I redo the two drivers patchsets, or would you prefer a patch
fixing this after the fact?